import request from '@/utils/request'

// 查询患者医保信息列表
export function listInsurance(query) {
  return request({
    url: '/os/insurance/list',
    method: 'get',
    params: query
  })
}

// 查询患者医保信息详细
export function getInsurance(id) {
  return request({
    url: '/os/insurance/' + id,
    method: 'get'
  })
}

// 新增患者医保信息
export function addInsurance(data) {
  return request({
    url: '/os/insurance',
    method: 'post',
    data: data
  })
}

// 修改患者医保信息
export function updateInsurance(data) {
  return request({
    url: '/os/insurance',
    method: 'put',
    data: data
  })
}

// 删除患者医保信息
export function delInsurance(id) {
  return request({
    url: '/os/insurance/' + id,
    method: 'delete'
  })
}
